<!DOCTYPE html>
<html>
<head>
    <title>Conversor de Temperatura</title>
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='style.css') }}">
</head>
<body>
    
    <form method="POST">
        <h1>Conversor de Temperatura editado por Guido :)</h1>
        <input type="number" name="temperature" step="0.01" required>
        <select name="unit_from" required>
            <option value="Fahrenheit">Fahrenheit</option>
            <option value="Celsius">Celsius</option>
        </select>
        a
        <select name="unit_to" required>
            <option value="Fahrenheit">Fahrenheit</option>
            <option value="Celsius">Celsius</option>
        </select>
        <button type="submit">Convertir</button>
        {% if error %}
            <p style="color: red;">{{ Error }}</p>
        {% endif %}
        {% if result %}
            <p><b>Resultado</b>: {{ result }} {{ request.form['unit_to'] }}</p>
        {% endif %}
    </form>
    
    
</body>
</html>
